# pb_ds::trie_prefix_search_node_update< Const_Node_Iterator, Node_Iterator, E_Access_Traits, Allocator > Class Template Reference

List of all members.

## Detailed Description

### template<typename Const_Node_Iterator, typename Node_Iterator, typename E_Access_Traits, typename Allocator>
class pb_ds::trie_prefix_search_node_update< Const_Node_Iterator, Node_Iterator, E_Access_Traits, Allocator >

Definition at line 157 of file trie_policy.hpp.

## Public Types

- typedef Allocator allocator
- typedef e_access_traits::const_iterator const_e_iterator
- typedef const_node_iterator::value_type const_iterator
- typedef base_type::const_key_reference const_key_reference
- typedef Const_Node_Iterator const_node_iterator
- typedef E_Access_Traits e_access_traits
- typedef node_iterator::value_type iterator
- typedef base_type::key_type key_type
- typedef detail::null_node_metadata metadata_type
- typedef Node_Iterator node_iterator
- typedef allocator::size_type size_type

## Public Member Functions

- std::pair< iterator, iterator > prefix_range (const_e_iterator, const_e_iterator)
- std::pair< const_iterator,
  const_iterator > prefix_range (const_e_iterator, const_e_iterator) const
- std::pair< iterator, iterator > prefix_range (const_key_reference)
- std::pair< const_iterator,
  const_iterator > prefix_range (const_key_reference) const

## Protected Member Functions

- void operator() (node_iterator node_it, const_node_iterator end_nd_it) const

The documentation for this class was generated from the following file:

- trie_policy.hpp